Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class FillStyle

    Object
      CodeList<E>
          SimpleEnumerationType<FillStyle>
              FillStyle

All Implemented Interfaces:
  Serializable, Comparable<FillStyle>

    public class FillStyle

extends SimpleEnumerationType<FillStyle>

Indicates the various methods of filling the interior of objects. This class defines static constants for all of the valid choices. Depending on the choice of fill style, the current color, background color, fill pattern, and gradient points may affect the appearance of an object.

See Also:
  Serialized Form

Field Summary
`static FillStyle` | `EMPTY` This constant indicates that an object should not be filled at all.
`static FillStyle` | `GRADIENT` This constant indicates that an object should be filled with a gradient.
`static FillStyle` | `OPAQUE_STIPPLED` This constant indicates that an object should be filled with the fill pattern specified in the `GraphicStyle`.
`static FillStyle` | `SOLID` This constant indicates that an object should be completely filled with the color.
`static FillStyle` | `STIPPLED` This constant indicates that an object should be filled with the fill pattern specified in the `GraphicStyle`.

Constructor Summary
`protected` | `FillStyle(String name, String description)` Construct a new FillStyle with the given name and description.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static FillStyle[]` | `values()` Returns the list of `FillStyle`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SOLID

    public static final FillStyle SOLID

  This constant indicates that an object should be completely filled with the color.

### EMPTY

    public static final FillStyle EMPTY

  This constant indicates that an object should not be filled at all.

### STIPPLED

    public static final FillStyle STIPPLED

  This constant indicates that an object should be filled with the fill pattern specified in the `GraphicStyle`. The current foreground color is drawn over pixels that correspond to pattern pixels that are set. Other pixels are left alone. (The term "stippled" is taken from the X-Windows documentation.)

### OPAQUE_STIPPLED

    public static final FillStyle OPAQUE_STIPPLED

  This constant indicates that an object should be filled with the fill pattern specified in the `GraphicStyle`. The current foreground color is drawn over pixels that correspond to pattern pixels that are set. The current background color is used for unset pattern pixels. (The term "opaque stippled" is taken from the X-Windows documentation.)

### GRADIENT

    public static final FillStyle GRADIENT

  This constant indicates that an object should be filled with a gradient. The gradient will be a smooth acyclic transition from the current foreground color to the current background color. The orientation and size of the gradient are determined by the anchor points

      (gradientPoints[0], gradientPoints[1])

  and

      (gradientPoints[2], gradientPoints[3])

  which anchor the foreground and background colors, respectively.

Constructor Detail

### FillStyle

    protected FillStyle(String name,
                        String description)

  Construct a new FillStyle with the given name and description. This constructor should only be used to make the static constants in this class or by a provider subclasses to create implementation specific styles that can be accessed by `DisplayCapabilities.getSupportedFillStyles()`.

  Parameters:
    `name` - a String defining the name of the Arrow pattern.
    `description` - a String describing the pattern.

Method Detail

### values

    public static FillStyle[] values()

  Returns the list of `FillStyle`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<FillStyle>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.